configure: Enable GCC vectorization on ≥4.9 on x86